Hamlet.BR (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: Hamlet, class: BR

Package org.apache.hadoop.yarn.webapp.hamlet2

# Class Hamlet.BR<T extends HamletSpec.__>

java.lang.Object
org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp<T>
org.apache.hadoop.yarn.webapp.hamlet2.Hamlet.BR<T>

All Implemented Interfaces:
  `HamletSpec.__`, `HamletSpec._Child`, `HamletSpec.BR`, `HamletSpec.CoreAttrs`

Enclosing class:
  Hamlet

public class Hamlet.BR<T extends HamletSpec.__> extends HamletImpl.EImp<T> implements HamletSpec.BR

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BR(String name, T parent, EnumSet<HamletImpl.EOpt> opts)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Hamlet.BR<T>`
  `$class(String value)`
  space-separated list of classes
  `Hamlet.BR<T>`
  `$id(String value)`
  document-wide unique id
  `Hamlet.BR<T>`
  `$style(String value)`
  associated style info
  `Hamlet.BR<T>`
  `$title(String value)`
  advisory title

  ### Methods inherited from class org.apache.hadoop.yarn.webapp.hamlet2.HamletImpl.EImp

  `__, _endTag, _inline, _p, _pre, _v, addAttr, addAttr, addMediaAttr, addRelAttr, closeAttrs`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

  `__`

- ## Constructor Details

  - ### BR

    public BR(String name, T parent, EnumSet<HamletImpl.EOpt> opts)

- ## Method Details

  - ### $id

    public Hamlet.BR<T> $id(String value)
    Description copied from interface: `HamletSpec.CoreAttrs`
    document-wide unique id
    Specified by:
      `$id` in interface `HamletSpec.CoreAttrs`
    Parameters:
      `value` - the id
    Returns:
      the current element builder

  - ### $class

    public Hamlet.BR<T> $class(String value)
    Description copied from interface: `HamletSpec.CoreAttrs`
    space-separated list of classes
    Specified by:
      `$class` in interface `HamletSpec.CoreAttrs`
    Parameters:
      `value` - the classes
    Returns:
      the current element builder

  - ### $title

    public Hamlet.BR<T> $title(String value)
    Description copied from interface: `HamletSpec.CoreAttrs`
    advisory title
    Specified by:
      `$title` in interface `HamletSpec.CoreAttrs`
    Parameters:
      `value` - the title
    Returns:
      the current element builder

  - ### $style

    public Hamlet.BR<T> $style(String value)
    Description copied from interface: `HamletSpec.CoreAttrs`
    associated style info
    Specified by:
      `$style` in interface `HamletSpec.CoreAttrs`
    Parameters:
      `value` - the style
    Returns:
      the current element builder